#include <bits/stdc++.h>

using namespace std;

long long int stepen(long long int n){
    long long int k=1;
    while(n>0){
        k*=10;
        n--;
    }
    return k;
}
int main()
{
    long long int n;
    cin >> n;
    int br=0;
    int ans=0;
    long long int pom=n;
    while(pom>=10){
        pom/=10;
        br++;
    }
    while(n>0){
        long long int j = stepen(br);
        long long int x = 5 * j;
        long long int e = 2 * j;
        while(x<=n){
            n-=x;
            ans++;
        }
        while(e<=n){
            n-=e;
            ans++;
        }
        while(j<=n){
            n-=j;
            ans++;
        }
        br--;
    }
    cout << ans << endl;
    return 0;
}